html,
body {
    overflow-x: hidden;
    padding: 0;
    margin: 0
}

p,
h2,
h1 {
    font-family: "Shippori Mincho", serif;
}

#contactHeader {
    font-weight: 800;
    font-style: normal;
    font-size: 3.25em;

}

* {
    scroll-behavior: smooth
}

p {
    font-weight: 400;
    font-style: normal;
    font-size: 1.5em;
}

h2 {
    font-family: "Shippori Mincho", serif;
    font-weight: 500;
    font-style: normal;
    font-size: 2.25em;
}

h1 {
    font-weight: 800;
    font-style: normal;
    font-size: 3.25em;
}

#topHeader {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    height: 120pt;
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0));
    position: fixed;
    top: 0;

    width: 100vw;
    z-index: 100000;

    transition: background-color 0.2s, height 0.3s, background-image 0.3s;

    view-transition-name: header;
}

#topHeaderTransparent {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    height: 120pt;
    position: fixed;
    top: 0;

    background-color: white;

    width: 100vw;
    z-index: 100000;

    transition: background-color 0.2s, height 0.3s, background-image 0.3s;

    view-transition-name: header;
}

#topHeaderTransparent .headerBtn {
    color: black;
}

#topHeaderTransparent #headerLogo {
    filter: invert(0) !important;
}

#topHeaderTransparent .menu-icon {
    filter: invert(0) !important;
}


.headerLinks {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-evenly;
    height: 120pt;

    top: 0;
    max-width: 600px;
    min-width: 400px;
    width: 100%;

    margin-right: 40pt;
}

.headerBtn {
    border-radius: 50px;
    font-size: 1em;
    line-height: 0;
    padding-left: 1em;
    padding-right: 1em;
    box-sizing: border-box;

    margin-left: 8pt;
    margin-right: 8pt;

    text-decoration: none;

    color: white;

    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}


.headerBtnMenu {
    border-radius: 50px;
    font-size: 1em;
    line-height: 0;
    padding-left: 1em;
    padding-right: 1em;
    box-sizing: border-box;

    margin-left: 8pt;
    margin-right: 8pt;

    text-decoration: none;

    color: black;

    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}


#headerBtnCurrentlySelected {
    border: solid;
    border-width: 1.5px;
    border-color: black;
    background-color: white;
    color: black;
}


#headerLogo {
    width: 250px;
    margin-left: 40pt;
    margin-right: 48pt;
    transition: width 0.3s, scale 0.3s;
    filter: invert(100%);
}

.banner {
    width: 100%;
    display: flex;
    max-height: 100vh;
    flex-direction: row;
    justify-content: end;

    height: 800px;
    align-items: center;
}


#bannerMoving {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: start;

    height: 800px;
    align-items: center;
}


#bannerDeliveries {
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: start;

    height: 800px;
    align-items: center;
}



.bannerHeaderText {
    max-width: 400px;
    text-wrap: balance;

    text-align: right;
    color: white;

}

#bannerHeaderTextMoving {
    text-align: left !important;
    max-width: 800px;
}

.bannerTitleText {
    font-family: "Shippori Mincho", serif;
    font-weight: 700;
    font-style: normal;
    font-size: 3.25em;

    color: white;

    margin-bottom: 16pt;
}

.ctaButton {
    border-radius: 500px;
    font-size: 1.5em;
    line-height: 0;

    padding: 2em;

    text-align: center;

    box-sizing: border-box;

    border: solid;
    border-width: 1.5px;
    border-color: black;
    background-color: white;

    color: black;
    text-decoration: none;

    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}


.buttonsStackHome {
    display: flex;
    gap: 16pt;
}

#getQuoteHomeBtn {
    max-width: 800px;
}

.descriptionAndButton {
    display: flex;
    flex-direction: column;

}

#submitBtn,
#quoteBtn,
#quoteBtnAlt {
    border-radius: 500px;
    font-size: 1.5em;
    line-height: 0;

    padding: 2em;

    text-align: center;

    box-sizing: border-box;

    border: solid;
    border-width: 1.5px;
    border-color: black;
    background-color: white;

    color: black;
    text-decoration: none;
    font-family: "Shippori Mincho", serif;
    font-weight: 500;
    font-style: normal;

    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}

.ctaButtonLong {
    border-radius: 50px;
    font-size: 1.5em;
    line-height: 0;

    padding: 2em;

    height: 60pt;

    text-align: center;

    box-sizing: border-box;

    border: solid;
    border-width: 1.5px;
    border-color: black;
    background-color: white;

    color: black;
    text-decoration: none;

    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}

#bannerTextAndCTA {
    display: flex;
    flex-direction: column;
    justify-content: end;

    margin-right: 120px;
    align-items: end;
    margin-top: 60pt;

    background-position: center;
}


#bannerTextAndCTAMoving {
    display: flex;
    flex-direction: column;
    justify-content: start !important;

    margin-right: 0;
    margin-left: 120px;
    align-items: start !important;
    margin-top: 60pt;

    background-position: center;
}

#bannerTextAndCTADeliveries {
    display: flex;
    flex-direction: column;
    justify-content: start !important;

    margin-right: 0 !important;
    margin-left: 120px !important;
    align-items: start !important;
    margin-top: 60pt;

    background-position: center;
}


.ctaButton:hover,
.headerBtn:hover,
.ctaButtonLong:hover {
    background-color: black !important;
    color: white !important;
    /* scale: 1.1; */
}

.ctaButton:active,
.headerBtn:active,
.ctaButtonLong:active {
    background-color: white !important;
    color: black;

    /* scale: 0.95; */
}

.section {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    width: calc(100% - 88pt);
    margin-left: 44pt;
    margin-right: 44pt;
    box-sizing: border-box;
    margin-top: 44pt;
    margin-bottom: 44pt;

}

.homeServices {
    display: flex;
    flex-direction: row;
    width: 100%;
}

.servicesSection {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    width: calc(100% - 88pt);
    margin-left: 44pt;
    margin-right: 44pt;
    box-sizing: border-box;
    margin-top: 44pt;
    margin-bottom: 44pt;

    gap: 32pt;
}

.homeServicesSection {
    display: flex;
    flex-direction: column-reverse;
    justify-content: space-between;

    width: calc(100% - 88pt);
    margin-left: 44pt;
    margin-right: 44pt;
    box-sizing: border-box;
    margin-top: 44pt;
    margin-bottom: 44pt;

    gap: 32pt;
}


.movingSection {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    width: calc(100% - 176pt);
    margin-left: 88pt;
    margin-right: 88pt;
    box-sizing: border-box;
    margin-bottom: 44pt;

    gap: 8pt;
}


.quoteContent {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    width: calc(100% - 88pt);
    margin-left: 44pt;
    margin-right: 44pt;
    box-sizing: border-box;
    margin-top: 44pt;
    margin-bottom: 44pt;

    gap: 16pt;
    max-width: 1000px;
}

.quoteInput {
    border-radius: 100px;
    font-size: 1.5em;

    padding: 1.5em;

    text-align: left;

    box-sizing: border-box;
    font-family: "Shippori Mincho", serif;
    font-weight: 500;
    font-style: normal;
    box-sizing: border-box;

    border: solid;
    border-width: 1.5px;
    border-color: black;
    background-color: white;


    color: black;
    text-decoration: none;


    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}

.dateInput {
    font-size: 1.5em;

    padding: 1em;
    border-radius: 100px;
    text-align: left;

    box-sizing: border-box;
    font-family: "Shippori Mincho", serif;
    font-weight: 500;
    font-style: normal;
    box-sizing: border-box;

    background-color: none;
    border: none;
    text-decoration: none;


    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;

}

#dropdownFieldset {
    height: 7em;
    align-items: center;
    display: flex;

}

.dropdown {
    all: unset;
    border-radius: 100px;
    font-size: 1.5em;

    text-align: left;

    padding-left: 1em;
    padding-right: 1em;
    box-sizing: border-box;
    font-family: "Shippori Mincho", serif;
    font-weight: 500;
    font-style: normal;
    box-sizing: border-box;
    width: 100%;

    background-color: white;

    position: relative;
    color: black;
    text-decoration: none;

    background-image: url(img/chevron.svg);
    background-repeat: no-repeat;
    background-position: calc(100% - 1em);
    background-size: 32px;

    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}


#insideOregonCheckLabel {
    border-radius: 100px;
    font-size: 1.5em;

    padding: 0;

    text-align: left;

    box-sizing: border-box;
    font-family: "Shippori Mincho", serif;
    font-weight: 500;
    font-style: normal;
    box-sizing: border-box;


    color: black;
    text-decoration: none;

    margin: 0;

    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}

:root {
    --gmpx-font-family-base: "Shippori Mincho", serif;
    --gmpx-font-size-base: 1.5rem;

    /* --gmpx-color-surface: rgba(255, 255, 255, 0); */
    /* --gmpx-color-primary: rgba(0, 0, 0, 0); */
}


#map {
    border-radius: 32pt;
}

input[type="checkbox"] {
    box-sizing: border-box;
    width: 30px;
    height: 30px;
    margin: 6px;
    padding: 0;
    border-radius: 6px;
    border: 1.5px solid black;
    appearance: none;
    background-color: transparent;
    outline: none;
    transition: outline 0.1s;
}

input[type="checkbox"]:checked {
    background-size: cover;
    padding: 2px;
}

input[type="checkbox"]:not(:disabled):checked {
    border-color: black;
    background-image: url(img/checkmark.svg);
    padding: 0;
    margin: 6px;
    border-radius: 6px;
    background-color: black;
}

#checkboxAndLabel {
    display: flex;
    align-items: center;
}

fieldset {
    border-radius: 100px;

    padding: .5em;
    padding-bottom: 1em;

    height: 7em;

    display: flex;
    align-items: center;

    text-align: left;

    box-sizing: border-box;
    font-family: "Shippori Mincho", serif;
    font-weight: 500;
    font-style: normal;
    box-sizing: border-box;

    border: solid;
    border-width: 1.5px;
    border-color: black;
    background-color: white;


    color: black;
    text-decoration: none;


    transition: scale 0.2s, background-color 0.2s, color 0.2s, border-color 0.2s, border 0.2s;
}

legend {
    margin-left: 24px;
    background-color: white;
}


@media (max-width: 1200px) {
    .servicesSection {
        flex-direction: column-reverse;
        align-items: center;
        justify-content: center;
        ;
    }

    .servicesSectionImage {
        max-width: 100%;
    }
}

#section1SideBySide {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    gap: 16pt;
}



.imageBioStack {
    display: flex;
    flex-direction: row;
    margin-left: 16pt;
    gap: 16pt;
}

.sectionHeader {
    padding: 0;
    margin: 0;
    text-wrap: pretty;
}

.description {
    max-width: 800px;

    margin-right: 16pt;
    text-wrap: balance;
}

.longDescription {
    max-width: 2400px;
    text-wrap: balance;
    margin: 0;
}

.longDescription p {
    margin: 8pt;
}

#movingNote {
    margin-top: 16pt;
}


.pulledDescription {
    max-width: 800px;
    text-wrap: balance;
    border: solid;
    border-width: 1.5px;
    border-color: black;
    background-color: white;
    color: black;
    border-radius: 32px;

    padding: 32px;
    box-sizing: border-box;
}

.pulledDescription p {
    margin: 0;
    width: 100%;
}


.servicesDescription {
    max-width: 800px;
    text-wrap: balance;
}

.servicesSectionImage {
    aspect-ratio: 4/3;
    max-width: 600px;
    width: 100%;
}


.imageBio {
    display: flex;
    flex-direction: column;
}


@media (max-width: 1350px) {
    .imageBioStack {
        flex-direction: column;
    }

    .bioImage {
        width: 400px
    }
}

@media (max-width: 850px) {
    .imageBioStack {
        flex-direction: column;
        margin: 0;
    }

    .bioImage {
        width: 200px
    }

    .movingSection {
        width: calc(100% - 88pt);
        margin-left: 44pt;
        margin-right: 44pt;
    }

    #bannerTextAndCTAMoving {
        margin-right: 120px;
        margin-left: 120px;

    }
}

@media (max-width: 500px) {
    #section1SideBySide {
        flex-direction: column;
        align-items: center;
        justify-content: center;
    }

    .bioImage {
        width: 100%;
    }
}

.bioImage {
    max-width: 400px;
    min-width: 200px;
}

.imageBioText {
    font-size: 1em;
}

.contactButtons {
    display: flex;
    flex-direction: row;
    margin-top: 24pt;
    gap: 16pt;
    flex-wrap: wrap;
}

.servicesSectionText {
    display: flex;
    flex-direction: column;
    /* margin-top: 24pt; */
    /* gap: 16pt; */
    box-sizing: border-box;
    max-width: 600px;
}


.movingSectionText {
    display: flex;
    flex-direction: column;
    /* margin-top: 24pt; */
    /* gap: 16pt; */
    box-sizing: border-box;
    max-width: 1200px;

    list-style-position: outside;
    padding-left: 0;
    -webkit-padding-start: 0;
    padding-inline-start: 0;
}

footer {
    height: 60pt;
}

.bigSpacer {
    height: 100pt;
}

.medSpacer {
    height: 60pt;
}

#movingHeader {
    view-transition-name: movingHeader;
}


@view-transition {
    navigation: auto;
}

.menu-icon {
    padding: 14px;
    margin-right: 12pt;
    /* width: 22pt;
     height: 40pt;
     */
    border-radius: 14px;
    transition: opacity 0.3s, scale 0.3s, background-color 0.3s;
    cursor: pointer;
    filter: invert(1);
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.menu-icon:hover {
    /* background-color: rgba(0, 0, 0, 0.1);
     */
    scale: 1.1;
}

.menu-icon:active {
    /* background-color: rgba(0, 0, 0, 0.2);
     */
    scale: 0.9;
}


#menuText {
    font-size: 1.2em;

}

#top-bar,
#bottom-bar,
.menu-icon {
    transition: transform 0.3s, scale 0.3s, background-color 0.3s;
    transform-origin: center;
}

.menu-icon.active #top-bar {
    transform: translateY(4.4px) translateX(-5px) rotate(45deg);
}

.menu-icon.active #bottom-bar {
    transform: translateY(-4.4px) translateX(-5px) rotate(-45deg);
}

.menu-icon:not(.active) #top-bar {
    transform: translateY(0) rotate(0deg);
}

.menu-icon:not(.active) #bottom-bar {
    transform: translateY(0) rotate(0deg);
}

#bannerAndHeader {
    background-image: url(img/banner-XL.webp);
    background-size: cover;

    top: 0;
}

#bannerAndHeaderMoving {
    background-image: url(img/moving-banner-XL.webp);
    background-size: cover;

    top: 0;
}

#bannerAndHeaderDeliveries {
    background-image: url(img/deliveries-banner-L.webp);
    background-size: cover;

    top: 0;
    position: relative;
}

#bannerAndHeaderHauling {
    background-image: url(img/hauling-banner-L.webp);
    background-size: cover;

    top: 0;
}


#bannerAndHeaderCleanouts {
    background-image: url(img/cleanouts-banner-L.webp);
    background-size: cover;

    top: 0;
}

@media (max-width: 2200px) {
    #bannerAndHeader {
        background-image: url(img/banner-L.webp);
        background-size: cover;
    }
}

@media (max-width: 1400px) {
    #bannerAndHeader {
        background-image: url(img/banner-M.webp);
        background-size: cover;
    }

    .bannerHeaderText {
        font-size: 2.25em;
    }
}

@media (max-width: 1000px) {
    #bannerAndHeader {
        background-image: url(img/banner-S.webp);
        background-size: cover;
    }

    .bannerHeaderText {
        font-size: 1.75em;
    }
}

@media (max-width: 600px) {
    #bannerAndHeader {
        background-image: url(img/banner-P.webp);
        background-size: cover;
    }

    .bannerHeaderText {
        font-size: 1.5em;
        text-align: left;
    }

    #bannerTextAndCTA {
        margin-right: 22pt;
        margin-left: 22pt;
        align-items: start;
        margin-bottom: 16pt;
        width: 100%;
        background-position: center;

    }

    #bannerTextAndCTAMoving {
        margin-right: 22pt;
        margin-left: 22pt;
        align-items: start;
        margin-bottom: 16pt;
        width: 100%;
        background-position: center;

    }

    #bannerTextAndCTAMovingDeliveries {
        margin-right: 22pt;
        margin-left: 22pt;
        align-items: start;
        margin-bottom: 16pt;
        width: 100%;
        background-position: center;

    }

    .buttonsStackHome {
        flex-direction: column;
        gap: 16px;
        max-width: 100vw;
    }

    #movingHomeBtn,
    #deliveriesHomeBtn {
        margin: 0;
        width: calc(100vw - 44pt);
    }

    .ctaButton {
        max-width: 100%;
        width: 100%;
        margin-bottom: 1em;
        /* padding: 1em; */
    }

    #banner {
        height: 100vh;
        align-items: end;
    }

    header {
        height: 80pt;
    }

    #headerLogo {
        max-width: 200px;
        margin-left: 16pt;
        margin-right: 16pt;
        min-width: 120px;
    }

    .section {
        width: calc(100% - 44pt);
        margin-left: 22pt;
        margin-right: 22pt;
    }

    .servicesSection {
        width: calc(100% - 44pt);
        margin-left: 22pt;
        margin-right: 22pt;
    }


    .quoteContent {
        width: calc(100% - 44pt);
        margin-left: 22pt;
        margin-right: 22pt;
    }

    .quoteInput {
        font-size: 1em;
    }

    #quoteDate {
        font-size: 1em;
    }

    #submitBtn,
    #quoteBtn {
        font-size: 1em;
    }

    fieldset {
        height: 5em;
    }

    legend {
        font-size: 0.85em;
    }

    .dropdown {
        font-size: 1em;
    }


}

#mobileLinksContainer {
    position: fixed;
    top: 0px;
    left: 0;
    width: 100%;
    height: 100%;
    visibility: hidden;

    user-select: none;
    display: flex;
    background-color: rgba(255, 255, 255, 0.9);
    background: linear-gradient(180deg, rgba(255, 255, 255, 1) 80px, rgba(255, 255, 255, 0.8) 100vh);
    backdrop-filter: blur(35px);
    justify-content: flex-start;
    align-items: center;

    opacity: 0;

    max-height: 0;

    transition: opacity 0.45s linear(0, 0.02 2.1%, 0.081 4.7%, 0.467 15.7%, 0.645, 0.778 28.5%, 0.872 35.8%,
            0.909 40.1%, 0.938 44.9%, 0.977 56.5%, 0.994 72.3%, 1),

        visibility 0.45s linear(0, 0.02 2.1%, 0.081 4.7%, 0.467 15.7%, 0.645, 0.778 28.5%, 0.872 35.8%,
            0.909 40.1%, 0.938 44.9%, 0.977 56.5%, 0.994 72.3%, 1),

        max-height 0.45s linear(0, 0.02 2.1%, 0.081 4.7%, 0.467 15.7%, 0.645, 0.778 28.5%, 0.872 35.8%,
            0.909 40.1%, 0.938 44.9%, 0.977 56.5%, 0.994 72.3%, 1);

    z-index: 999;
    /* Ensure it's above other content */
}

#headerMobileLinks {
    display: flex;
    flex-direction: column;
    margin-right: 22pt;
    margin-left: 22pt;
    /* max-width: 500px; */
    width: 100%;
    height: 100%;
    box-sizing: border-box;

    margin-top: 64pt;
}

#mobileLinks {
    display: flex;
    flex-direction: column;
    /* Stack logo and links vertically */
    align-items: center;
    /* Center align items horizontally */
    /* width: 90%; */
    margin: 22pt;
    width: 100vw;
    box-sizing: border-box;
}

/* Visible State */
#mobileLinksContainer.active {
    visibility: visible;
    opacity: 1;
    max-height: 100vh;
}

.servicesLayout {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

@media (max-width: 1200px) {
    .servicesLayout {
        grid-template-columns: repeat(1, 1fr);
    }
}


@media (max-width: 1100px) {
    .headerLinks {
        display: none;
    }

}

@media (min-width: 1100px) {
    .menu-icon {
        display: none;
    }
}